(function($, owner) {
	/*
	 * 接口
	 */
	//	var api = "http://www.bjkfs.com.cn";
	var api = "http://47.104.100.176";
	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = plus.storage.getItem('$state_K') || "{}";
		return JSON.parse(stateText);
	};
	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		plus.storage.setItem('$state_K', JSON.stringify(state));

		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};
	owner.createState = function(objs, callback) {
		var state = owner.getState();
		state.alipay = objs.alipay;
		state.authenticationflag = objs.authenticationflag;
		state.cashpassword = objs.cashpassword;
		state.freezeincome = objs.freezeincome;
		state.gold = objs.gold;
		state.grade = objs.grade;
		state.headimg = objs.headimg;
		state.isflag = objs.isflag;
		state.mutuallygold = objs.mutuallygold;
		state.name = objs.name;
		state.phone = objs.phone;
		state.uid = objs.uid;
		state.recommendationcode = objs.recommendationcode;
		state.regtime = objs.regtime;
		state.wechat = objs.wechat;
		state.sex = objs.sex;
		state.silver = objs.silver;
		owner.setState(state);
		return callback();
	}
	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settingss', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settingss') || "{}";
		return JSON.parse(settingsText);
	}
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';

		if(!(/^(0|86|17951)?(13[0-9]|15[012356789]|17[05678]|18[0-9]|14[57])[0-9]{8}$/.test(loginInfo.account))) {
			plus.nativeUI.toast("请输入正确的手机号格式")
			return;
		} else if(loginInfo.password == '') {
			plus.nativeUI.toast("请输入密码")
			return;
		} else {
			mui.ajax(api + '/user/login', {
				data: {
					phone: loginInfo.account,
					password: loginInfo.password
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(res) {
					console.log(res.code)
					if(res.code == 200) {
						//登录成功
						var user = res.data;
						return owner.createState(user, callback);
					} else {
						mui.toast(res.message);
					}
				},
				error: function() {
					alert("22")
				}
			})
		}
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;

		var code = plus.storage.getItem("code");
		console.log("后台接收的验证码：" + code)

		if(!(/^(0|86|17951)?(13[0-9]|15[012356789]|17[05678]|18[0-9]|14[57])[0-9]{8}$/.test(regInfo.phone))) {
			plus.nativeUI.toast("请输入正确的手机号格式")
			return;
		} else if(regInfo.password.length < 6) {
			plus.nativeUI.toast("请输入6位数密码")
		} else if(regInfo.codeNum.length <= 0) {
			return callback('请填写验证码 ');
		} else if(regInfo.codeNum != code) {
			return callback('验证码不一致 ');
		} else if(regInfo.password != regInfo.conPassword) {
			plus.nativeUI.toast("两次输入的密码不一致")
		} else {
			mui.ajax(api + '/user/register', {
				data: {
					phone: regInfo.phone,
					password: regInfo.password,
					recommendationcode: regInfo.uid,
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'POST', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(res) {
					if(res.code == 200) {
						plus.ui.toast("注册成功");
						$.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								aniShow: 'pop-in'
							}
						});
					} else {
						mui.toast(res.message)
					}
					//				console.log(JSON.stringify(res))
				},
				error: function(xhr, type, errorThrown) {
					console.log(JSON.stringify(xhr));
					console.log(JSON.stringify(type));
					console.log(JSON.stringify(errorThrown));
				}
			});
		}

	};
	/*生成6位随机验证码*/
	owner.code = function(count, callback) {
		var t = '';
		for(var i = 0; i < count; i++) {
			t += Math.floor(Math.random() * 10);
		}
		return t;
	}

}(mui, window.app = {}));